Package org.optaplanner.core.impl.score.buildin.hardmediumsoft

## Class HardMediumSoftScoreInliner

- java.lang.Object
- - org.optaplanner.core.impl.score.inliner.ScoreInliner<HardMediumSoftScore>
  - - org.optaplanner.core.impl.score.buildin.hardmediumsoft.HardMediumSoftScoreInliner

-     public class HardMediumSoftScoreInliner
      extends ScoreInliner<HardMediumSoftScore>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `hardScore` |
    `protected int` | `mediumScore` |
    `protected int` | `softScore` |

    - ### Fields inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `constraintMatchEnabled`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `HardMediumSoftScoreInliner​(boolean constraintMatchEnabled)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IntWeightedScoreImpacter` | `buildWeightedScoreImpacter​(HardMediumSoftScore constraintWeight)` |
    `HardMediumSoftScore` | `extractScore​(int initScore)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### hardScore

          protected int hardScore

    - #### mediumScore

          protected int mediumScore

    - #### softScore

          protected int softScore

  - ### Constructor Detail

    - #### HardMediumSoftScoreInliner

          protected HardMediumSoftScoreInliner​(boolean constraintMatchEnabled)

  - ### Method Detail

    - #### buildWeightedScoreImpacter

          public IntWeightedScoreImpacter buildWeightedScoreImpacter​(HardMediumSoftScore constraintWeight)

      Specified by:
        `buildWeightedScoreImpacter` in class `ScoreInliner<HardMediumSoftScore>`

    - #### extractScore

          public HardMediumSoftScore extractScore​(int initScore)

      Specified by:
        `extractScore` in class `ScoreInliner<HardMediumSoftScore>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`